package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 结算 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-10
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvMyAccountDao;
import com.heyu.api.data.entity.vv.VvMyAccountEntity;
import com.heyu.api.data.service.vv.VvMyAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvMyAccountServiceImpl extends ServiceImpl<VvMyAccountDao, VvMyAccountEntity> implements VvMyAccountService {


    @Autowired
	private VvMyAccountDao vvMyAccountDao;



	@Override
	public VvMyAccountEntity selectVvMyAccountById(Long id){
		return vvMyAccountDao.selectVvMyAccountById(id);
	}



	@Override
	public Long insertVvMyAccount(VvMyAccountEntity vvMyAccount){
		return vvMyAccountDao.insertVvMyAccount(vvMyAccount);
	}



	@Override
	public Long insertOrUpdateVvMyAccount(VvMyAccountEntity vvMyAccount){
		return vvMyAccountDao.insertOrUpdateVvMyAccount(vvMyAccount);
	}



	@Override
	public int updateVvMyAccountById(VvMyAccountEntity vvMyAccount){
		return vvMyAccountDao.updateVvMyAccountById(vvMyAccount);
	}



	@Override
	public int updateCoverVvMyAccountById(VvMyAccountEntity vvMyAccount){
		return vvMyAccountDao.updateCoverVvMyAccountById(vvMyAccount);
	}



	@Override
	public int deleteVvMyAccountById(Long id){
		return vvMyAccountDao.deleteVvMyAccountById(id);
	}



}
